Manual for UK's Kalender 2.2

Next page

UK's Kalender 2.3

Freeware

Copyright © Ulrich Krebs 2003 - 2009

Manual

Table of contents

  • 1. Program description
    • 1.1 What "UK's Kalender" can do
    • 1.2 What "UK's Kalender" can't do
  • 2. License agreement
  • 3. Manual
    • 3.1 Installation / Update
      • 3.1.1 New installation
      • 3.1.2 Update
    • 3.2 Program settings
      • 3.2.1 Tab "Program start"
      • 3.2.2 Tab "Network"
      • 3.2.3 Tab "Calendar"
      • 3.2.4 Tab "ToDo"
      • 3.2.5 Tab "Reminders"
      • 3.2.6 Tab "Tray-Icon"
      • 3.2.7 Tab "Colors"
      • 3.2.8 Tab "Fonts"
      • 3.2.9 Tab "Icons"
      • 3.2.10 Tab "Misc"
    • 3.3 Configuring the holiday display
    • 3.4 Setting up the network feature
      • 3.4.1 Set up using a server on a local network
      • 3.4.2 Set up using a workstation on a local network
      • 3.4.3 Set up using a FTP-Server
      • 3.4.4 Testing the connection
    • 3.5 Navigation
    • 3.6 Entering and editing events
      • 3.6.1 Tab "Description"
      • 3.6.2 Tab "Repetition"
      • 3.6.3 Tab "Action"
      • 3.6.4 Using internal commands as action
      • 3.6.5 Subsequently changing the event category
    • 3.7 The reminder dialog
    • 3.8 Event categories
      • 3.8.1 Creating, editing and managing event categories
      • 3.8.2 Reassignment of categories to existing events
    • 3.9 Managing events
    • 3.10 Entering and editing ToDo's
    • 3.11 Searching and filtering
      • 3.11.1 Managing filter settings
      • 3.11.2 Category filter
      • 3.11.3 Content filter
      • 3.11.4 State filter
      • 3.11.5 Property filter
      • 3.11.6 Event search
    • 3.12 Formatting event views
      • 3.12.1 Date formats
      • 3.12.2 Event formats
      • 3.12.3 ToDo formats
      • 3.12.4 Examples
    • 3.13 Internal formats
      • 3.13.1 Tab "General"
      • 3.13.2 Tab "Headers"
      • 3.13.3 Tab "Clipboard", "Tooltips" and "Calendar"
      • 3.13.4 Tab "ToDo's"
    • 3.14 HTML - Export
      • 3.14.1 HTML export settings - "Appearance"
      • 3.14.2 HTML export settings - "Templates"
      • 3.14.3 HTML export settings - "Calendar Formats"
      • 3.14.4 HTML export settings - "Header Formats"
      • 3.14.5 HTML export settings - "ToDo's"
    • 3.15 CSV - Export
      • 3.15.1 CSV export settings - "Calendar Fields"
      • 3.15.2 CSV export settings - "Calendar Field Names"
      • 3.15.3 CSV export settings - "Calendar Formats"
      • 3.15.4 CSV export settings for ToDo's
    • 3.16 Backup copies
      • 3.16.1 Automatically generated backup copies
      • 3.16.2 Manually creating backup copies
    • 3.17 Merging event files
Next page


Program description

1. Program description

"UK's Kalender" is a MS Windows program intended to remind you of upcoming events and todos. There are several views for your dates that are organized similar to a calendar sheet. Dates and appointments can be entered into the calendar via an input form.You can enter a forewarn time, so as long as "UK's Kalender" is running in the background you'll be reminded of your dates as soon as the forewarn time is reached.

Independent from the calendar function there is also a todo list where you can enter tasks with a deadline and a forewarn time. If the forewarn time is reached, "UK's Kalender" will inform you of the due tasks with symbols and colors.

Since version 2.0 of "UK's Kalender" it is possible to share a common event file between several computers in a network. A shared event can be entered, changed or deleted on one computer, all other computers will synchronize their event database. This shared event file runs in parallel to the local event file, so private event entries can still be entered as usual.

The program was tested under the MS Windows versions 98SE, 2000 and XP.

1.1 What "UK's Kalender" can do

  • Automatic saving
    Any changes to the database are automatically and immediately saved to disk. On every program start, a backup copy of your data file is created.
  • Unlimited Undo and Redo
    Most changes can be undone and also repeated.
  • Minimize to the system tray
    "UK's Kalender" minimizes into the system tray (the area next to the system clock).
  • Network support
    "UK's Kalender" supports a shared event file, where every user can enter events that'll show up in each other user's calendar. For using the network functions it is neither required to install special server software nor to keep the computer with the shared event file permanently running. "UK's Kalender" will synchronize the local event file as soon as the shared event file is accessible.
  • Repeating events
    There are lots of possibilities for entering repeating events, e.g. hourly, every three days, monthly, every first tuesday of the month or even every friday the 13th.
  • Forewarn time and snooze function
    Each event can be assigned a user defined forwarn time in the range from one minute to several weeks. In the reminder dialog you can enter a time after that you'll be reminded again. Alternatively you can choose to be reminded again a certain time before the event.
  • Multi day events
    Events can have a duration from one minute to several days (or no duration at all, but just a start date).
  • Event categories and templates
    Events can be organized into categories, e.g. "Doctor", "Meeting", "Party" and so on. Each category is assigned a template of settings, including repetition rate and forewarn time.
  • Acoustic reminders
    You can choose to be reminded of an event with a WAV file of your choice.
  • Event driven program execution and document opening
    Documents or programs can be attached to an event. This is very handy for e.g. regular backup purposes.
  • Marking and hiding events
    Special events may be either color marked or hidden.
  • Four event views
    Events can be displayed in week-, fortnight-, month- or year-view.
  • Tooltips for events and todos
    If you stop the mouse over a calendar date or a todo, extended info is shown for the events and todos.
  • Alarms can be deativated
    Alarms may be deactivated all at once, so your game, film etc. won't be interrupted.
  • Highly configurable display for events and todos
    All views can easily be configured to present the information just the way you want.
  • Configurable tray icon
    The tray icon can be configured to show the current day of the month, the weekday or even the seconds.
  • Search and filter functions
    You can search for and filter out your events using keywords, categories, event states or date ranges. The filter function directly affects all output functions, so you can easily create e. g. a calendar only containing birthdays. Filters can be named and saved for later reuse.
  • Clipboard support
    Events and todos can be copied to the clipboard and may be pasted back to any word processor or "UK's Kalender" itself.
  • Export to HTML- and CSV-format
    Events and todos can be exported to HTML-format in different views. With this you can easily print your dates and todos. Export to CSV-format allows the transfer of your data to a spreadsheet program. All activated filter options are applied to the output.
  • Holidays
    Holidays for one or more countries can be displayed right in the calendar. Various holiday modules are available. If your country is missing, you can simply define a holiday module yourself.

1.2 What "UK's Kalender" can't do

  • Import and export from or to other calendar programs
    "UK's Kalender" has a proprietary file format. Neither does it understand the file format of other applications nor does it support the export of foreign calendar formats.
  • Printing
    Direct printing from "UK's Kalender" is not supported. Nevertheless you can export all your data into a HTML file and print your calendar from any web browser.


License agreement

2. License agreement

The copyright of "UK's Kalender" belongs to the author of this software, Ulrich Krebs.

With installing, copying or any other use of "UK's Kalender" you are accepting this license agreement.

  1. Terms of use
    "UK's Kalender" is freeware. You may use this software without charge for any purpose, including commercial use, without time limit.
  2. Copying
    You may give away exact copies of this software, as long as you do not modify the original contents of the package (adding or removing files, changing file contents) and do not charge a fee for the distribution, except an appropriate fee for the media. You may not bundle this software with a commercial program or program collection without express written consent of the author.
  3. Support
    You are not entitled for support by the author. Nevertheless the author will try to help on any questions regarding the program. Support is solely offered by email.
  4. NO WARRANTY
    USAGE OF THE PRORAM "UK'S KALENDER" IS AT YOUR OWN RISK! IN NO EVENT WILL THE AUTHOR ULRICH KREBS BE LIABLE FOR ANY DAMAGE CAUSED BY THE USE OR THE DISTRIBUTION OF THE PROGRAM "UK'S KALENDER". IN NO CASE THE AUTHOR CAN BE HELD RESPONSIBLE FOR LOST PROFIT, LOST DATA OR DIRECT OR CONSEQUENTIAL DAMAGE TO HARD- OR SOFTWARE CAUSED BY THE USE OF OR THE IMPOSSIBILITY TO USE THE SOFTWARE.


Installation / Update

3. Manual

3.1 Installation / update

3.1.1 New installation

A new installation follows the normal Windows scheme, there is nothing special about it. Simply follow the hints of the installation routine.

3.1.2 Update

Creating backups of your event file
Extended functionality of new program versions usually requires a different file format of the event file. Your old data file will be accepted and converted by the new version but there is no way to convert it back for older program versions!
So please make a backup copy of your event file before you install the new version of "UK's Kalender" just in case you'll have to switch back to the older program version. You can use "File / Event File / Save as..." to create a copy of the event file. Alternatively you can create version-safe backups with the backup function available under "File / Event File / Backup...".

Uninstalling the old program version
Normally, some things have changed in new versions of the program, so it might be a good idea to uninstall the old version. This is especially true for the version 2.1 as it introduces a new holiday module format, that makes the old files obsolete. However, if you are upgrading from a program version before 1.3.0, you'll lose your program settings, like colors, start behaviour etc., if you uninstall the old version. Since version 1.3.0 you'll be asked during uninstall to leave the settings on your computer. Your event file will always stay intact, though. If you decide to install the new version over the old one, some unnecessary files will remain on your system, but they usually don't do any harm.
You should consider which way to go. If you did a lot of modifications to the standard settings, it might be easier to try an upgrade without uninstall.

If you are familiar with the registry of your computer, you might want to save your settings before uninstalling the old version. If you are not sure how to do this, please don't try to do it, as you might damage your Windows installation!

All settings of "UK's Kalender" are located in the subkey "HKCU/Software/Ulrich Krebs/Kalender" of your registry. Export this key to a reg file before uninstalling the old version. After installing the new version, open the calendar and enable the option "Use Registry for Options" under "Extras/Options". Now close the calendar and re-import the reg file you've created into the registry. On the next start the calendar will use your old settings.

Installation and restoring the event file
Installing the calendar works as usual, no special precautions need to be taken. If your old settings remained on your computer, the calendar should automatically find your old event file. Otherwise you can integrate your old events by selecting "File / Event File / Merge..." from the menu. Alternatively you can simply show calendar the path to your old event file under "Extras / Options...". It will be loaded the next time you start "UK's Kalender" (see also chapter 3.2.1).
Experienced users can also just copy the old event file over the default file, while the calendar is completely closed. The old event file will be loaded on the next start. Right after a clean installation, the calendar expects the initial event file under "Application Data\UK's Kalender" of the currently logged on user. You can find this folder under "C:\Documents and Settings" if you are running Windows 2000 or XP and under "C:\Windows" if you are running Windows 98.


Program settings

3.2 Program settings

Before you start using "UK's Kalender" you should take a look in the menu under "Extras/Options..." and choose the program settings that fit your needs. You'll then see the "Options" dialog where you can choose to start "UK's Kalender" with Windows, the default event file, display colors and so on.

3.2.1 Tab "Program start"

Here you can tell "UK's Kalender" what to do on program start. Normally, "UK's Kalender" always runs in the background so it can remind you of upcoming events. You can enable or disable this feature under "Start Options" with the checkbox "Start with Windows". If "UK's Kalender" should directly minimize to the system tray you must also choose the option "Start minimized".

In most cases it's recommended to allow only one instance of the program. Multiple instances of the program might overwrite each others changes to the database, as both will use the same file. If you are not sure what this is all about, simply leave this option checked.

Now an option for the forgetful: If "Close to system tray" is activated, closing the main window will not shut down "UK's Kalender" but minimize it to the system tray. Of course you can still exit the application by either using the menu entry "File / Exit" or via the context menu (right mouse button) of the symbol in the system tray.

Finally, you can determine, where to store the options. Usually the registry is used for storing program settings. If you deactivate this setting, "UK's Kalender" uses an ini file instead. It is stored under "Application Data/UK's Kalender" of the currently logged on user.

Options - Program start

Figure 3.2.1: Tab "Program start"

In section "Initial event file" you can choose the event file to load right after program start. You can tell "UK's Kalender" to always load a default file or, if you're using multiple event files, to load the last file from the previous session.

Under "Start page" you can select your preferred data view. You can either choose to start with the last active view or to always use one of the five possible default views: "ToDo", "Week", "Fortnight", "Month" or "Year".

3.2.2 Tab "Network"

This page is for activation and configuration of the network feature. The network feature allows sharing a common event file between multiple users. The shared events run in parallel to your private events, so you can still enter events that are only visible for you. If one user adds, changes or deletes a shared event, all other calendars will synchronize to this change.

You can use the network feature with either a shared file on the intranet or a shared file on a FTP server. In case you put the shared file in a public folder on the intranet, you must enable the corresponding option and enter the path to the file in the text field right below. In a larger network this will probably be a folder on some kind of server, in a home network a network share on one of the workstations is sufficient. Put a copy of an empty event file into this folder and enter the complete path to this file under "Shared file". Please do not enter the path to your private event file here! This will not work and might corrupt your event database. It is also not possible to use a copy of an event file that already contains local events! Be careful when you enter the path. It'll work for your computer if you host the shared event file and you simply enter the normal path, e.g. "C:\Public\Calendar\shared.dat". The same setting will not work for all the other computers. All other computers will require the full UNC path, e.g. "\\MARCS_COMPUTER\Public\Calendar\shared.dat".

In case you are using the FTP option, you'll need to enter the FTP server address, your login and your password. The default port number 21 normally needn't be changed. In some cases (if you are behind a firewall) it might be necessary to activate the option "Passive connection". This connection mode must also be supported by your FTP-Server, then. Finally you have to enter the path to your shared event file relative to your user directory on the FTP server.

Options - Network

Figure 3.2.2: Tab "Network"

Synchronization of the local event file with the shared event file can be done either automatically in an user defined interval or manually. If you use a dialup connection for connecting to the server hosting the shared event file, you should disable automatic synchronization. This is also true if transfer time and volume matters. On the other hand, if you use the network functionality from within a local network, activating the automatic synchronization will normally be the better choice.

Each time the calendar synchronizes it's event file, it will create a backup copy of the shared event file on the server if the last backup is older then 20 hours. You can adjust the number of copies to keep with the last synchronization option.

You can also restrict your own access to the shared event file to read-only or modify-only by changing the "Write access" options. Be aware that this setting can be changed by yourself or anyone who has access to your account, so consider this option rather as a reminder than a rights management.

3.2.3 Tab "Calendar"

Here you can find some options for the calendar view.

In section "Week Start" you can choose if the week should begin on sunday or on monday. In european countries the week normally starts on monday.

In the next section you can tell "UK's Kalender" to show week numbers in the table headers of the calendar view. The week number is calculated conform to either ISO-8601 (week start is always on Monday), US-standard (week start is always on Sunday) or an alternative method, where the chosen week start is used as reference day for counting.

The layout settings determine, whether to show successive week days side by side (horizontal) or one below the other (vertical). This way you can make best use of the available display space.

The tooltip options allow a selective deactivation of the event and header tooltips. This can be useful if you have lots of events with only little extra info in the "Notes" field of the events. If you have a large number of events per day, the tooltips might flicker, so that they are rather irritating than informative. In this case, you can first try to use the "Single" option for the event tooltips. This will result in one tooltip per event instead of one tooltip for all events of a day.

The "Page Navigation" options will activate the alternative page navigation using the mousewheel and the PgUp/PgDown keys. If these options are enabled, the operating mode of these keys is switched from navigation between events to navigation between calendar pages.

Options - Calendar

Figure 3.2.3: Tab "Calendar"

Under "Month view" you can choose to disable all dates outside the currently selected month. This option affects only the month view. Disabling the dates outside the selected month has the advantage, that it's impossible to erroneously enter events outside the desired month.

The holiday display can be configured with the next option. Per default, holidays are displayed right aligned next to the date of the event header field. Especially in the more space resticted views the holiday display is often truncated. To reserve more space for holidays, you can activate the option "Show below date". This way, the full column width of a day can be used for the holiday display. If you activate more than one holiday module, you can enable the country code display. The three letter country code will be displayed next to the holiday, then.

Finally you can make the calendar jump back to the default view and the current date if it is restored from the system tray.

3.2.4 Tab "ToDo"

Here you can set some options for the ToDo list.

In section "Due ToDo's" you can choose how you'd like to be reminded of due todos. If you select "Mark ToDo tab" the "ToDo" tab is color marked if any todo enters the forewarn interval. Selecting "Mark calendar icon" will change the background of the tray icon to red if there are any due todos. As the tab marker is only visible in non-minimized operation, it makes sense to allow changing the tray icon.

Options - ToDo

Figure 3.2.4: Tab "ToDo"

You can also choose how to handle finished todos. If you'd like to hide finished todos, you can enable the option "Hide n days after deadline" and enter the number of days finished todos should stay in the ToDo list. With the option "Delete n days after deadline" you can tell "UK's Kalender" to automatically delete todos after a certain number of days.

If you enter lots of todos in advance, it might be a good idea to also choose the option to hide unfinished todos until they are approaching their respective deadline.

The last option is for diabling the tooltip display for todo entries.

3.2.5 Tab "Reminders"

This dialog offers options for the reminder display.

Options - Reminders

Figure 3.2.5: Tab "Reminders"

The reminder dialog usually comes up as the foreground window and cannot be put into the background. There are two options to change this behaviour. If you don't want the reminder window to stay on top, you can make it behave just like a normal window by deactivating the option "Reminders are always on top". The option "Reminders will get the input focus" means, that the reminder will definitely become the foremost window and will always get the input focus, no matter what you are doing at the moment. This option might be useful if you have deactivated the option "Reminders are always on top" and the reminders do only appear on the task bar.

The option for deactivating the buttons of the reminder dialog for a short time will keep you from accidentally klicking a button while working with a different program.

Snoozing an event for n days will normally shift the next reminder n x 24 hours. If you e.g. snooze an event at 23:00 for one day, you'll be reminded at 23:00 the next day. If you don't like this default behaviour, you can tell "UK's Kalender" to remind you at a specified time, if you snooze an event for some days (or weeks).

If you choose to activate the option "Reminder descriptions use event appearance", the reminders will show up just like you've entered them into the calendar, including the text and background colors. The "hidden" attribute will of course not be adopted.

The first line of the reminder dialog shows the start date of the event. The format used for formatting this date can be customized in section "Reminder Headline". You can set different formats for start dates with and without time. The available variables are listed in chapter 3.12.1.

Using the Sound option, you can make the calendar play the reminder sounds always with a preset volume, regardless of the Windows sound volume and mute state. Simply activate the option "Automatically set sound volume to a specified level" and choose the desired reminder volume using the slider control below. When the reminder window is closed, the Windows sound settings will be reset to their previous state.

3.2.6 Tab "Tray Icon"

When the calendar is running, an icon is displayed in the system tray at the bottom of the screen, next to the clock. This icon is used to display the calendar and to show some information about the current status of the calendar, e.g. the icon turns red if there are due ToDo's. Using the tray icon options, behaviour and display of the tray icon can be modified.

Options - Tray Icon

Figure 3.2.6: Tab "Tray Icon"

A handy feature is offered by the option "Clicking the tray icon toggles size of the main window". If this option is enabled, you can use the tray icon to restore from and to minimize the calendar into the system tray. Whether this is done via a single or a double mouse click is determined by the option "Double click required".

The tray icon can either display the default icon (blue clock on white background) or a custom content. Custom content can be created from the date variables described in chapter 3.12.1. As there is very little space to show some info, only short entries should be displayed, e.g. the current day of the month or the abbreviated weekday. If the custom view is activated, the color coded status info is still available, so the icon will be displayed normally with white background, with red background if there are due ToDo's, normally with blue text and with gray text if the alarms are disabled.

You can also specify a certain font for the tray icon to achieve best possible readability. Just click on the "..." button next to the font display and choose a suitable font.

If you stay for a while over the icon in the system tray, a tooltip will pop up. The contents of this tooltip can be configured in the section "Tooltip". Possible formatting options are again described in chapter 3.12.1. You can use the "Default" button to get back the original settings.

3.2.7 Tab "Colors"

Here you can adapt the color scheme to your preference. In the calendar views the colors of the headers stand for a certain state of the date. In the default color scheme e.g. the current date is marked dark blue. By clicking the color button you can modify the default coloring. This way you can also adapt the colors of all week days.

Beside the headers it is also possible to completely change the color scheme of all event views, including background and grid colors. By default, the calendar will take your Windows color scheme. If you want the calendar to have a different color scheme without changing your Windows settings, deactivate the option "Use Windows color scheme" and adjust the window colors using the color buttons.

Options - Colors

Figure 3.2.7: Tab "Colors"

How to show events after they are done can be configured under "Done Events". You can choose to show them stroke through and/or grayed out and additionally to unmark any color-marked event. This greatly enhances the clarity if you have lots of color marked events.

For the year view you have the choice between two different display modes. The "Display dots" option will display the events as dots with the dot size depending on the number of events for that date. If you choose "Display events", the events will be displayed with their respective color scheme, so that the year view resembles a miniature view of the normal event display. Additionally, you can choose whether you want to do display done events grayed out or not.

3.2.8 Tab "Fonts"

Most of the used fonts in the calendar can be changed. Simply use the "..." buttons to choose the desired font. The labels next to the buttons will reflect your choice.

Options - Fonts

Figure 3.2.8: Tab "Fonts"

3.2.9 Tab "Icons"

Certain event properties can be displayed in the normal event display using the icons selected in this configuration dialog. The following event properties are supported:

  • Shared
    The event is a network event.
  • Local
    The event is not marked as network event.
  • Reminder
    The event's reminder option is activated.
  • Notes
    The notes section of the event is not empty.
  • Recurrent
    The recurrence option of this event is activated.
  • Action
    There is either a document or a program associated with this event.

If the respective event has one or more of those properties, the chosen icon for this property will appear on the rightmost side of the event display. If you don't find an icon that fits your needs, you can easily extend the number of available icons by simply copying new icons into the "icons" subfolder of your calendar installation. Try to give the new files meaningful names, as these names will appear in the drop down box. The icons should hold at least a 32x32 pixel image.

Options - Icons

Figure 3.2.9: Tab "Icons"

3.2.10 Tab "Misc"

Some further configuration options can be found here.

Options - Misc

Figure 3.2.10: Tab "Misc"

In section "Warnings" you can select on which actions you'd like to be warned. Especially if you are new to this program it's a good idea to be warned on program exit, as you won't be warned upon upcoming events then.

Under "Date Check Interval" you can define how often "UK's Kalender" should check the database for due events. The default setting of 30 seconds is certainly precise enough and does not take too much computing time even on small computers.

Section "Automatic Backup" gives you control over the number of backup sets "UK's Kalender" will generate automatically. Each time the program is launched, it will try to make a backup of the current event file, if the last backup is more than 20 hours old. This way, you'll usually get one backup per day. With the default setting of seven backup sets, you'll have a one week history of your event file, which should be sufficient if there is ever the need for restoring your events. The backup sets are named as the event file but with the extension b00, b01, ... and are located in the same directory. Restoring a backup is done with "UK's Kalender" closed by deleting the corrupted event file and copying and renaming the latest intact backup file.

Finally you can select the language for the menus, dialog boxes etc. After a change, "UK's Kalender" needs to be restarted for the change to take effect.


Configuring the holiday display

3.3 Configuring the holiday display

To configure the holiday display, choose "Extras/Holidays..." from the menu. A dialog appears that lists all available holiday modules in section "Modules". The column "File" shows the file name and the column "Language" the country identifier of the available modules. To get a preview of the module contents, select a module from the list so that it appears with a blue background. It is not necessary to activate the checkmark on the left. In section "Holidays" all holidays defined within the selected module will be displayed. Additionally, the "Holiday Preview" shows the actual dates of the holidays for a given year. Hint: You can select the holiday preview and copy it to the clipboard via Ctrl+c. This way you can easily insert a holiday table into any word processor.

Figure 3.3.1: Configuration dialog for the holiday display

To select a module for display within the calendar, put a checkmark in front of the desired module in section "Modules". You can also select multiple modules for display. To change the display order, e.g. to display the US holidays always topmost, simply select the module you want to shift and move it up or down using the arrow buttons on the right side of the module display.

You can also exclude certain holidays from display, e.g. if this holiday is not celebrated in your state. As an alternative, you can make the holidays show in the calendar without color marking the day as holiday, which is a convenient way to include special days that are not public holidays. Choose the module you want to configure so that the holidays of that specific module are listed in the section "Holidays". Now click on the checkmark in front of the holiday you want to configure. With the first click, the checkmark appears greyed out, the holiday will be displayed now without a color mark. The second click will completely exclude the holiday from display. While configuring the holiday module, the holiday preview will automatically update accordingly.


Setting up the network feature

3.4 Setting up the network feature

The network feature allows sharing events between several computers running "UK's Kalender". Each time you add, modify or delete a shared event or category, the changes will appear on all other computers. Those shared events are maintained in parallel to your private events, so only those events and categories that you explicitely declare as shared will be visible for the other participants.

"UK's Kalender" makes local copies from the shared events, so these events will be available even if the computer hosting the shared event file is not accessible. If you modify a shared event while the computer hosting the shared event file is not running, these modifications will be buffered locally and entered into the shared event file as soon as it is available again. This way it is possible to create a calendar network even on small networks where the computers are not constantly up.

The actual state of the shared events and todos, i.e. undone, snoozing or done, is not synchronized. So each participant will for sure receive a reminder.

UK's Kalender uses a rather simple approach for synchronization, therefore no special server software is required. On the other hand does this simple technique lead to some restrictions concerning the number of active workstations. 20 to 30 workstations should be okay, as long as you do not change the default syncronization interval of 30 s. It might last up to double the length of the synchronisation interval from entering a shared event until it appears on the other connected workstations.

Important hint for migrating to version 2.2.0
From version 2.2.0 on, the synchronization of shared categories is supported. Unfortunately this leads to the paradoxical situation, that with the first start of the calendar all categories with enabled "Shared" flag will be deleted, as the shared event file does not hold any categories, yet. The easiest workaround is to replace the shared event file with a file of the same name but with no content, that means 0 bytes size. While replacing the event file, all instances of the calendar must be completely closed. After replacing the shared event file, you can start the calendar that has the shared categories you want to distribute to other clients. The calendar detects the 0 byte file and will start a fail safe routine that'll build up a new shared event file now including the shared categories. From then on, the calendar will behave as usual.

Please take also care to update all installations of "UK's Kalender" simultaneously to version 2.2.0!

3.4.1 Set up using a server on a local network

In a larger network usually a server for storing files is available. This server is probably always running and only shut down for maintenance. If such a server is available, it is certainly the best place to store the shared event file. Simply create a folder on this server and put an empty event file into it.
You may not use a copy of your local event file or any other event file that already holds local events as shared event file, as synchronisation will not work properly with those files!
You can easily create an empty event file by first choosing "File/Event File/New" from the menu and then "File/Event File/Save as...". Make sure that all users or user groups that want to participate in the calendar network have read and write access to the shared event file. On each client, activate the option "Using shared file on the intranet" and enter the correct path to the shared event file under "Extras/Options...", tab "Network". Try to use the UNC path as this will not change as easy as a path to a mapped network drive. Make sure the desired synchronization and write access options are set (see chapter 3.2.2 for details). The calendar network is now ready to operate. There is no need to install "UK's Kalender" on the server!

3.4.2 Set up using a workstation on a local network

In a home network usually the computers are not constantly on. It is still possible to set up a calendar network, as "UK's Kalender" buffers all required synchronization steps until the shared event file is available. For best performance it is a good idea to choose the most used computer for hosting the shared event file.
Create a new folder on the chosen computer (e.g. "C:\Public\Calendar"). Now create an empty event file by first choosing "File/Event File/New" from the menu and then "File/Event File/Save as...". and move it into the newly created folder. To make this event file available for the other users you need to share the folder containing the event file. From the context menu of the file manager choose "Sharing..." and make this folder public. It is required to allow read and write access to the folder. Sometimes it is not sufficient to share the folder. You can test this by trying to copy a file via network from a different computer into the shared folder. If you are asked for a user name and a password, the other user is not recognized by the computer hosting the shared event file. In this case you'll have to create a new user account on the computer hosting the shared event file, using the account data of the user you want to allow access to the file. If the new user can log on to your computer you are on the right way and it should be possible now for this new user to access the shared event file from its own computer without being asked for a user name and password.
Just like with the set up using a server it is required now to configure the individual installations of "UK's Kalender". Choose "Extras/Options..." from the menu, activate the option "Using shared file on the intranet" and enter the path to the shared event file on the "Network" tab. The path is created from two backslashes followed by the computer name, a single backslash and the path to the event file. Following the example from above it should look something like this: "\\PETERS_COMPUTER\Public\Calendar\network.dat". Don't forget to configure the desired synchronization and write access options (see chapter 3.2.2 for details). The calendar network is now ready to operate.

3.4.3 Set up using a FTP-Server

To access a shared event file from anywhere in the world without using VPN the FTP option is the right choice. To use this option, you'll need a valid FTP account. Upload an empty event file to a directory of your choice on the FTP server. You'll have to use a FTP client such as "FileZilla" or similar for this. Now choose "Extras/Options..." from the menu and open the "Network" tab. Activate the option "Using shared file on a FTP server" and enter the server address, your account data and the location of the shared event file on the server. If you use a dialup connection for accessing the FTP server, it is also good idea to disable the automatic synchronization.

3.4.4 Testing the connection

The calendar has a toolbar button that reflects the current synchronization state:

Synchronization required | Local and remote event file are not in sync
Synchronization in progress | Synchronisation between local and remote event file is in progress
Synchronization successful | Local and remote event file are in sync
Synchronization failed | There was an error while trying to synchronize the local and remote event file

If the icon shows "Not in sync", this means that there were changes to the local event file that are not already entered into the shared event file. If the icon shows "In sync", this means that all changes to the local event file were successfully entered into the shared event file. Nevertheless the files could be still out of sync, as the shared event file might be altered by another client meanwhile.

To test your connection, make sure your computer is online (if necessary) and press the toolbar button for synchronization. It should show the hour glass for a short time and finally the "In sync" state. If it shows the exclamation mark, you'll have to check your settings under "Extras/Options..." and also your Windows access rights if you are using a shared file on the local network.


Navigation

3.5 Navigation

Right after start, "UK's Kalender" presents the month view with the current month. Switching between views is done with the tabs "ToDo", "Week", "Fortnight", "Month" and "Year". The todo view is solely for managing todo tasks and works completely independent from the other views.

Figure 3.5.1: Main window

In the navigation bar the currently selected month and year is displayed. To choose a different month or year simply selcect the desired entry from the drop down boxes. Next to the drop down boxes are three buttons. The left button takes you back one calendar sheet while the right button brings you to the next calendar sheet. The time step when using these buttons depends on the currently selected view, i.e. in week or fortnight view, these buttons will bring you one week ahead or back, in month view it is one month and in year view one year. The button in the middle will always bring you back to the current date.

You can switch off the navigation bar from the "View" menu. Navigation between calendar pages can be done using the "View" menu or the corresponding hotkeys, then.

Additionally, you can use "Ctrl" + arrow keys to move one day or one week back and forth. The jump width is independent from the selected view. Finally, if the corrsponding options are enabled (see chapter 3.2.3), you can use the mouse wheel and the PgUp/PgDown/Home keys to navigate between calendar pages.


Entering and editing events

3.6 Entering and editing events

To enter a new event, double click on the day where the event starts. You might double click the colored header of the day or a free line of the event display below. For editing an existing event simply double click the event in the event display. In both cases the dialog for entering and editing events will appear. Here you can specify all event options like start date, end date, description, repetition rate and so on.

All settings will be accepted after pressing the "OK" button. The changes will be immediately reflected in the event view. To undo the changes, you can select "Edit / Undo" from the menu or you can use the corresponding symbol from the toolbar. You can undo any amount of changes this way.

Undone changes can be repeated by selecting "Edit / Redo" from the menu.

In the following the dialog for entering and editing events is described.

3.6.1 Tab "Description"

The first visible tab holds the most important settings for an event. Most events will not need further settings.

Enter New Event - Description

Figure 3.6.1: Tab "Description"

From the upper drop down box select a category for the new event. If you've not already created some categories, only the default category "Event" is present. Consider creating some categories in this case, as you can make some presets that fit the category, e.g. yearly reoccurence for birthdays. Additionally you'll get more options for sorting and filtering events. Instructions for creating and editing categories can be found in chapter 3.8.

Please note, that changes made in all other fields are discarded if you choose a different category! If you need to change the category, first enter the new event into the calendar and open it again. This way you can change the category without your other event settings being overwritten by the default values of the new category.

Enter a short description for the event now. This is the text that will be displayed extra large in the reminder dialog. For the text to fit in the reminder dialog it is recommended to keep it below 40 characters. If you'd like to add extra info for the event, you can add it in the "Notes" field. This text is also shown in the reminder dialog.

The option "Share this event" is only available if you have enabled the network support. This can be done under "Extras/Options...". If you have decided to share this event, it will appear on all other calendars of your network.

Now you can choose how to display the event in the calendar views. Normally, an event is shown without special attributes. Important events might have an icon or are displayed with a special background color and / or colored text. Icons are available from the drop down box. If you cannot find a suitable icon, you can easily extend the library by simply copying additional icons into the "icons" subfolder of your installation of "UK's Kalender". A colored event display can be configured by pressing the color select buttons, the corresponding option for colored text and / or background is set automatically. A color select dialog will appear then for choosing the desired color. Very frequent events you want to be reminded of, but might decrease the clarity of the calendar view, can also be marked as hidden. Those events are by default not visible in the calendar view anymore, but can be viewed by choosing "View / Show Hidden Events" from the menu. They will also appear in the database view available under "Extras / Database...".

Select a start date and a time for the event now. If the event lasts the whole day, you can also choose to disable the start time by unchecking the box preceeding the time field. If you'd like to set an end date and time, you can do it just below the start date and time.

If you want to be reminded of the upcoming event, check the box marked "Reminder". Enter the time span you would like to be reminded in advance. It is also possible to enter "0 Minutes" as forewarn time. This way you'll be reminded exactly in time. Additionally you can get an acoustic warning by checking the option "Sound". You'll need to select a sound file in WAV-format for this option to work. The sound file will be played as soon as the reminder dialog appears and repeated in intervals as long as the dialog is open, or, at your option, as often as wanted. The interval for repeating the sound is identical to the interval for the event check that can be entered under "Extras / Options... / Misc" and defaults to 30s.

Another option is the silent reminder, where only a blinking tray-icon reminds you of the due event. For this, additionally to the reminder settings the option "Silent" need to be activated. Now reminders for this event are supressed until they are explicitly enabled by selecting "Show silent alarms" from the context menu of the tray-icon or the menu "Extras".

If you think this is enough for this event, you can enter it into the calendar by pressing the "OK" button. Special events are handled by the options on the other tabs.

3.6.2 Tab "Repetition"

Repetetive tasks are configured in this tab of the dialog.

Enter New Event - Repetition

Figure 3.6.2: Tab "Repetition"

First you need to enter the frequency of the event. You might choose a fixed interval (e.g. every 6 hours, 2 weeks, 1 year...) or a week day of the month (e.g. every 2nd sunday, every last monday...).

If you already know when this repetetive event will end, you can specify this also. Enter the number of times this event should be repeated or enter an end date, after that the event stops repeating.

Normally, this information is enough for a repetetive event. For very special cases it might be useful to enter some additional conditions. E.g. if you'd like to be reminded of every friday, the 13th, simply set the start date to any 13th of a month, set the repetition rate to 1 month and enter friday as additional condition. For this, remove all checkmarks next to the week days, except the one for friday.

3.6.3 Tab "Action"

If you want to link a program or a document to this event, you can make the necessary settings here.

Enter New Event - Action

Figure 3.6.3: Tab "Action"

First you need to choose if you want to open a document or to execute a command (a program). You can also choose to be asked for an confirmation for opening a document or executing a command. You'll have the choice then, to cancel the execution if it's not appropriate right then. In general it's sufficient to choose either a reminder or a confirmation for this type of events. Choosing a reminder has an advantage over the confirmation as it allows to postpone the execution, while the confirmation only allows to cancel or allow immediate execution.

Choosing the document or program is easily done by selecting it via the "..." button.

In the input fields for the document, the command and the parameter, it is also allowed to use the variables explained in chapter 3.12. This way it is possible to e.g. send yourself an email with the description as subject and the notes as body.

Handling of overdue events is configured in the next section. Usually, events are executed even if they are overdue. Alternatively, you can choose to execute it only within a certain time range, or, with repetetive events, before the next occurence of the event. Finally you can also tell "UK's Kalender" to simply drop overdue events. This will also work with events without reminder: If normal execution is selected, the event requires to be manually marked as done. With all other settings, the event will auto-complete earlier or later.

In section "Snooze Settings" you can configure a default value for the snooze function of the reminder dialog. If you select a different snooze interval in the reminder dialog, the chosen interval will be accepted as new default value.

3.6.4 Using internal commands as action

"UK's Kalender" allows the execution of internal commands. Internal commands can do things you'll usually do via the user interface. Currently there are three internal commands: !POPUP!, !EXPORT_HTML! and !EXPORT_CSV!. Those commands can be entered right into command field. All required parameters for executing the command are antered into the parameter field.

The command !POPUP! command does not require further parameters. It will restore the calendar window from the system tray when the event is due. This way you can make the calendar popup at a certain time to show you your daily schedule. As it doesn't make too much sense to be reminded of such an event in advance, you should deactivate the reminder option on the "Description" tab and also the acknowledge option on the "Action" tab. You can also mark this event as hidden, so it will not appear among your other events.

The export commands will allow the event driven fully automated export of your schedules. As this usually requires several steps using the user interface, some paramters are required for those commands to work. For the general appearance, all the options available under "Extras / Export Settings / HTML" and "Extras / Export Settings / CSV" are taken into account. Other settings, as the view and the date range are determined by settings entered into the parameter field. The following paramters are valid for both export commands, !EXPORT_HTML! and !EXPORT_CSV!.

-VIEW0
Output is the ToDo list.

-VIEW1
Output is the week view.

-VIEW2
Output is the fortnight view.

-VIEW3
Output is the month view.

-VIEW4
Output is an event list.

-DATEyyyymmdd (yyyy = year, mm = month, dd = day)
This option determines a day that should be included in the view (in week view, fortnight view and month view) or the starting date of a list view (ToDo list or event list). If this parameter is not specified, the event date will be assumed.

-DAYSn (n = 1..400)
This option is only valid for the ToDo list and the event list and specifies the number of days to export. If this parameter is not specified, 14 days will be assumed.

-FOFF
Disables all filter functions so that all events will appear in the export file, regardless of the current screen display. This is the default setting, if no other filter option is specified.

-FDEF
This option will keep the currently active filter options for export. So the output will be the same as the current screen display.

-FSETs (s = Name of saved filter)
If you have saved a special filter setting (e.g. birthdays) and gave it a name, you can specify this filter to be applied for the export. Just put the name of the filter right after -FSET (without space).

-HOFF
Specifies that hidden events should not appear in the output file. If no other option for hidden events is specified, this is the default setting.

-HDEF
Hidden events will be exported if they are currently visible in the calendar view.

-HON
Hidden events will always be exported, regardless of their current visibility state on the screen.

-FILEs (s = Fully qualified output path for the export file)
With this parameter you determine the directory and file name of the export file. Please make sure that the given path already exists. If the path contains spaces, it is required to put the path into quotation marks. UNC pathes are supported.

Examples

To export all events of the current month except of hidden ones into a HTML file "C:\HTML calendar\events.html", put the command !EXPORT_HTML! into the command field and enter the following options into the parameter field:
-VIEW3 -FOFF -HOFF -FILE"C:\HTML calendar\events.html"

If you have specified a filter named "Birthdays" and you want to export all the birthdays of the next 30 days as a list, enter the following parameters:
-VIEW4 -DAYS30 -FSETBirthdays -HOFF -FILE"C:\HTML calendar\events.html"

3.6.5 Subsequently changing the event category

You can assign a new category to an existing event by opening the event for editing and choosing a new category from the upper drop down box. A dialog will appear, asking you which properties of the new category should be transferred to this event.

Changing the event category

Usually it's a good idea to apply at least the display options to achieve a consistent appearance for events of one category. Be careful if you choose to apply the recurrence settings. If the event is already recurrent and you have moved or deleted some of the occurrences, assigning new recurrence settings might have unexpected results. If the result does not meet your expectations, you can easily switch back to the old settings by using the undo button.


Reminder dialog

3.7 The reminder dialog

If you have enabled the reminder function for an event, you are reminded in advance at the given forewarn time. If the reminder dialog appears you might acknowledge the event or select to be reminded at a later time again (snooze function).

Please notice, that the reminder will only pop up, if you have enabled the reminder function for this event! If you didn't choose this option, the reminder will not even appear right on the start time of the event. To be reminded of an event just in time, simply set the forewarn time to "0 minutes". Due to the technique for checking due events, the reminder can appear slightly later than expected. If you didn't cange the default date check interval, this delay is at most 30 s.

The reminder dialog will always appear in front of all other applications. The other applications will be temporarily forced to the background, even games or videos in fullscreen mode. Additionally, the computer will wake up from stand-by mode (but not from the suspend mode S3).

If you don't want this to happen, you can temporarily disable the alarm function for all events by deactivating the menu entry "Extras / Alarm". The disabled alarm is reflected by a gray tray icon. This setting is non-permanent. Restarting "UK's Kalender" will automatically re-enable the alarm function.

Figure 3.7.1: Reminder dialog

In the first line of the reminder dialog the start date of the event is shown. Directly below you can see the remaining time before the event starts. If the remaining time is below one minute, a green symbol labeled "DUE" is shown. If you are past the start date for more than one minute (the remaining time is negative), a red symbol labeled "OVERDUE" is shown.

Below the remaining time appears the event description in bold letters and finally the notes. The visual appearance of the event description can be configured to mimic the appearance of the calendar entry (see also chapter 3.2.5).

If you have activated the option "Buttons are disabled for x seconds" (chapter 3.2.5), all buttons will appear disabled at first. The window title will show a countdown, telling you the remaining seconds until the buttons are re-enabled. This lock will keep you from accidently altering or deleting events if the reminder window pops up while you are working.

With the "Done" button on the right side you can mark the event as done now. The event will appear grayed out and stroke through in the calendar views then (how to display done events can be altered, see chapter 3.2.7 for possible options) and no further reminders will pop up.

If a document or a program is attached to the event, you can also choose to open the document or to execute the program right now. The event will be also marked as done then. If you don't want the document to be opened or the program to be executed, simply press the "Done" button.

In case you want to be reminded again at a later time, you can use the the snooze function. First you can select whether you'd like to be reminded again in a certain time from now on or at a certain time before the event starts. Now choose an interval from the drop down box and press the button with the desired time unit. The reminder dialog will close and the event is marked as snoozing (the event shows up in italic letters). Additionally, the tooltip of a snoozing event (appears if you stay a while with the mouse over an event) shows the next time you'll be reminded of this event.

You can also choose to edit or delete the event right from the reminder dialog. Please note, that with repetetive events only one occurence will be deleted. Even if you delete all occurences of a repetetive event, it will still remain in the database. Repetetive events might only be completely deleted by selecting "Edit / Delete Sequence" from the menu.

If there are lots of due events, you can get an overview by pressing the "Extend" button. You'll see a list of current events sorted by their due date. You can select multiple events from this list and mark them alltogether as done or even delete them.

Extended reminder dialog

Figure 3.7.2: Extended reminder dialog

For obvious reasons, the "Edit" button is disabled if multiple events are selected. It is also not possible to open an associated document or program then.


Event categories

3.8 Event categories

Event categories are used for grouping events, e.g. "Meeting", "Birthday" or "Doctor". Using categories, you can select to view or hide events (using the search and filter feature) or to sort events (in the event list). You can also make special default settings for each category, like yearly recurrence of birthdays. These default settings are automatically used if you choose a category when entering a new event.

3.8.1 Creating, editing and managing event categories

From the menu, choose "Extras / Categories" to open the dialog for editing categories. This dialog is very similar to the normal "Enter new event" dialog. The only difference are three additional buttons next to the category drop down box. With these buttons, you can create, rename or delete categories.

Cartegories - Description

Nearly all settings can be predefined in this dialog. Except for all dates of course, as they are derived from the actual event. All settings are assigned to the corresponding category and will appear as default values if this category is chosen for a new event.

To create a new category, click the button with the empty document symbol next to the category select box. You are then asked for a name for the new category. After confirming the new name you can edit all settings of the new category, including sound, forewarn interval, recurrence and attached documents. You can e.g. create a category "Birthdays" and assign a birthday cake icon and set the recurrence option to 1 year.

After closing the category dialog with the "OK" button, you can use the new category for entering new events.

If you choose to change the properties of an existing category, you are asked about how to proceed with already existing events of that category.

Apply changed category settings

This allows subsequently assigning new category properties to existing events. This is especially useful for the display properties as it allows changing the colors and icons of all events of that category in one go. It is not recommended, though, to apply new recurrence settings, as this may lead to unexpected results. This is most likely, if applied to an already recurrent event where many occurences were shifted or deleted. Please use this option with great precaution!

There is an additional security option that is activated by default: "Change only if the events have the original settings". This will protect all events from changes, that were already manually changed to have properties different from their original category settings. If you have e.g. assigned a sound to a single event of the category "Event" (which by default does not have a sound), applying new category settings will not overwrite this manual change, as it doesn't match the original category setting.

For obvious reasons it is not possible to reassign the description and notes for existing events.

If you don't want to apply the changes to existing events at this time, simply press the "Cancel" button. You can still reassign category properties later on using the command "Reassign Category..." from the menu.

3.8.2 Reassignment of categories to existing events

It is possible to assign a new category or to reassign the same category with modified properties to already existing events. This command is available from the menu "Extras / Reassign Category...".

Reassignment of categories

From the upper drop down box, choose the category of the events you'd like to change and from the lower drop down box the category you'd like to reassign. The upper drop down box will only show the categories of already existing events. Be aware, that the list might be different from the list of currently available categories. Categories, that do not have any events will not appear here, while categories where the corresponding category template is already deleted, will appear. The lower drop down box will always hold all categories that have a template.

Just as with the dialog for changing the category properties, you will have the choice, which settings besides the category name you'd like to apply to existing events. Normally it's a good idea to choose the category name and the display options, as it will ensure a consistent display for all events of a certain category.


Managing events

3.9 Managing events

Events can be edited with the usual commands "Copy", "Cut", "Paste" and "Delete". These functions are available from the "Edit" menu. For these commands to work, it is required, that one event is selected. All commands are working on this one event. If you select one occurence of an repetitive event, only the selected occurence will be copied or deleted, while all other occurences of this event will stay unchanged. On the other hand, editing an event from within the "Edit Event" dialog (double clicking an event) will always change all occurences of an event.

All edit funcions are also available via the context menu (right mouse button) of an event. With repetetive events there's an additional menu entry "Delete Sequence" which will erase all occurences of this event and also the corresponding database entry.

Further managing functions are provided by the database view, available from the "Extras" menu. Please note, that this is not a calendar type of view! This view rather gives you direct access to the datbase of the calendar from which the calendar views are derived.

Figure 3.9.1: Event database

All events are shown, even the hidden ones. This way you can edit hidden events and make them visible again. In the calendar view, you can enable the option "View / Show hidden events" to gain access to hidden events.

Here you can also find dropped occurences of an repetitive event and the possibility to reschedule them.

All events, including repetitive events, occupy one single line of the event list (remember, it's a database view). Erasing one line will always clear the whole event, whether it's repetitive or not!

All changes to the event list are executed immediately and without confirmation. Unwanted changes can be cancelled all together by leaving the dialog with the "Cancel" button. After pressing "OK" all changes are irrevocably transferred to the current database, the "Undo" function can not reverse the changes!


Entering and editing todos

3.10 Entering and editing todos

For entering and editing todos, the todo list must be the current view. Double clicking into the free area of the list will bring up the dialog for entering new todos, double clicking an existing entry will open that entry for editing.

Figure 3.10.1: Enter ToDo

First you should enter a group the todo belongs to, like "Projects", "Phone calls" and so on. You might also choose an existing group from the drop down box. With grouping, you can sort your todos by group or selectively hide or show them.

Now enter a description for the todo and maybe some notes. The option "Share this ToDo" is only available if you have enabled the network support. This can be done under "Extras/Options...". Just like shared events, a shared ToDo will appear on all other todo lists of your network. To color mark the todo entry, enter a background and / or text color in the display section by clicking the color buttons and choosing the desired color.

If the todo is due on a certain date, you might enter it under "Deadline", if necessary also with a time. Just below you can set a forewarn time for the todo. Unlike events you'll get no popup reminder on due todos. Instead, you are reminded of the due todo with a yellow sign if the todo enters the forewarn time and a red sign if the todo reaches the deadline. Additionally the "ToDo" tab and the symbol in the system tray is color marked. You can also assign a priority to the todo, which allows sorting by priority.

If you are working with completion levels, you can enter the percentage of work that is already completed for this todo. This information will be displayed as bar graph in the todo view, so you can see at a glance how much work is left for finishing a todo. If you don't want to use this feature, you can easily exclude this information from display by calling the context menu with a right click on the table header of the todo view and by disabling the corresponding column. The todos can still be marked as done using the state column.

Finally you can associate a document with the todo. This document will not automatically open if the todo reaches it's deadline, but you can easily access the document over the context menu of the todo. Simply right click the todo and select "Execute now". The associated document will open automatically.


Searching and filtering

3.11 Searching and filtering

The search and filter function allows searching for and filtering of events and todos that match a certain set of criteria. The search and filter function can be activated with the binocular symbol of the standard toolbar and appears on the left side of the calendar. The search and filter panel can be left activated without interfering the other functionality of the calendar.

The filter functions do not only affect the calendar view, but also all export functions. So you can easily generate e.g. a birthday calendar by simply deactivating all categories except the category "Birthday" prior to export.

If you hide the search and filter panel by pressing the binocular symbol again, all filter functions will be deactivated, so all calendar views and the export functions will generate an unfiltered output again.

Search and filter function

Figure 3.11.1: Search and filter function

3.11.1 Managing filter settings

All settings for the search and filter functions can be named and saved for later use. After configuring all filter settings and search options, click on the floppy symbol on the top right corner of the search and filter panel. You are asked for a filter name then. Enter a name that helps you remembering what the filter does, e.g. "Birthdays" or "Doctor". The new filter will now appear in the drop down box of the search and filter panel and can later be called from there.

If you want to create a new filter or if you want to clear the current filter, click the button with the empty document next to the drop down box. All filter settings will be reset then and can be configured for a different filter. The second button allows renaming an already existing filter and the third button is for deleting obsolete filters.

3.11.2 Category filter

The most useful filter function is probably the possibility to selectively hide certain event and todo categories. This way you can get a quick overview of e.g. upcoming birthdays or meetings. You can also easily print out lists of events of one or more categories.

To activate the category filter, check the option "Category Filter". If you remove the checkmark next to a category, all events belonging to this category will be excluded from display and export. If you just want to display very few categories, you can select "None" first and re-enable the desired category then.

To reverse the filter result, choose the option "Exclude" instead of the default option "Include".

3.11.3 Content filter

This filters works like a full text search over the descriptions and / or the notes of all events and todos. Only those entries remain in the calendar view, that match the given search term.

You can activate the content filter by checking the option "Content Filter". You can then enter a search term into the input field. While you are entering the search term, the display will be continuously updated. The search function is not case sensitive. If you want to search for more than one term, simply enter the terms seperated by a space. You can also decide whether to show events that contain all terms ("AND"), any term ("OR") or the exact phrase ("Exact").

3.11.4 State filter

Events and todos can have the state "Done" or "Undone", events additionally the state "Snoozed". Using the state filter you can selectively exclude events with a certain state from display.

Just like the other filters, the state filter must be activated with the corresponding option. If you want to hide events with a certain state, simply deactivate the appropriate option.

3.11.5 Property filter

For filtering events and todos with special properties, activate the property filter. The property "Shared" filters out all events and todos that are marked to be shared over the network. The property "Hidden" will filter out all hidden events. If using this filter, it is a good idea to also enable the option "View / Show hidden events" from the menu. Finally, the property "Action" will filter out all events and todos that have an associated program or document.

You can also reverse the filter results by choosing the "Exclude" option.

3.11.6 Event search

The search function can search for events and todos within a specified date range, that match all applied filter criteria. The search results are presented in a list, from where you can jump to the corresponding calendar page by single clicking a result or edit the event by double clicking a result.

For searching, it is required to specify a date range. You can specify a date range by entering the absolute dates or by choosing a date range relative to the current date. The search results will automatically update if you change the date range or the filter criteria.


Formatting event views

3.12 Formatting event views

"UK's Kalender" allows very detailed formatting of the event views. With system variables you can define how the table headers are labeled, how normal events, single day or multi day events are displayed, what information is shown in the tooltips and many more.

The settings for this are availabe from the menu under "Extras / Internal Formats...". The dialog for making this settings is described in detail in chapter 3.13.

You can also use the system variables in the description and notes of an event. This allows e.g. displaying the age of a person in a birthday reminder.

System variables for configuring the calendar views are seperated in two groups, one for formatting dates and one for formatting events. Both are now described in detail.

3.12.1 Date formats

Date formats control the way dates are displayed. The date December, 12th 2002 can be displayed in the short version 12/13/2002 or the european version 12. December 2002. All visible dates can be configured just the way you like. The syntax for this is easy.

Any part of a date, like day, month or hour, has a corresponding variable. The date display results from a combination of this variables. Following variables are available:

Variable | Description | Example (12/13/2002, 15:20:30)
%y | Year without century | 02
%Y | Year with century | 2002
%m | Month as decimal number | 12
%b | Abbreviated month name | Dec
%B | Full month name | December
%d | Day of month as decimal number | 13
%j | Day of year as decimal number | 347
%W | Week of year as decimal number | 50
%a | Abbreviated weekday name | Fri
%A | Full weekday name | Friday
%H | Hour in 24-hour format | 15
%I | Hour in 12-hour format | 3
%p | A.M./P.M. indicator for 12-hour clock | PM
%M | Minute as decimal number | 20
%S | Second as decimal number | 30

Table 3.12.1: Date formatting codes

The date display "Friday, the 13. December 2002, 15:20" can be obtained with follwing date format: "%A, the %d. %B %Y, %H:%M". The short version "12/13/02, 3:20 PM" by the format "%m/%d/%y, %I:%M %p" accordingly.

Normally, decimal numbers like the day of the month are displayed with leading zeros. If this is not wanted, you need to enter a "#" right after the leading "%". The example above would like "%A, the %#d. %B %Y, %#H:%M" then.

Where to make these settings is described in chapter 3.13.

3.12.2 Event formats

The event display is configured similarly to the date display, but with much more possibilities. System vaiables for event formatting are always enclosed by a "$" character. The most simple variables consist just of these markers and the variable name.

Variable | Description
CATEGORY | Event category
DESCRIPTION | Event description
NOTES | Notes for the event

Table 3.12.2: Simple event variables

To retrieve e.g. the notes of an event, simply write: $NOTES$.

More complex are variables for specifying dates and time periods. Starting point for these variables is always a particular event. For this event, following keywords are possible:

Keyword | Description
THIS | The event, for which the output is generated
THISSELECTED | With multi day events: The selected part of a multi day event
NEXT | With repetetive events: The next occurence of the event
NEXTUNDONE | With repetetive events: The next undone occurence of the event
PREVIOUS | With repetetive events: The previous occurence of the event
FIRST | With repetetive events: The first occurence of the event
LAST | With repetetive events: The last occurence of the event
LASTUNDONE | With repetetive events: The last undone occurence of the event
NOW | The current date and time

Table 3.12.3: Keywords for event specification

In the next step you can choose to select a certain point of time within the specified event. This closer selection is separated from the event specification with an underscore. If you don't select a certain point of time, "UK's Kalender" assumes you mean the start date and time.

Keyword | Description
START | Start date and time
END | End date and time
STARTTOEND | Time period from start to end of the event

Table 3.12.4: Keywords for closer specification of the selected part of the event

After you have determined the date or date range you can select which part of this date or date range you want to display. This specification is separated from the previous part by an underscore again.

Keyword | Description
DATE | The date part
TIME | The time part
DATETIME | Date with time
AUTO | Just the date if the event does not have a start time, the date and time otherwise. If this keyword is preceeded by "STARTTOEND", only the necessary information is displayed, e.g. the date is displayed only once if start and end date are identical.
AUTOTIME | The time if the event has a start time, nothing otherwise.

Table 3.12.5: Keywords for the date specification

If you don't want to display date information but just how often an event already occured, you can use the keyword "COUNT" instead of a date specification. This will only make sense for repetetive events and works only if the previous keyword is not "STARTTOEND".

3.12.2.1 Display of time ranges

If you want to calculate a time range, you can replace the date specification by the keyword "TO". This will only work if the previous keyword is not "STARTTOEND". By the keyword "TO" you tell "UK's Kalender" not to output a date but to calculate a time difference. For calculating a difference you need to specify a second date. This second date is separated from the preceeding "TO" by an underscore and follows the same specification rules as the first date.

With a date specifier or the keyword "TO" and a secand date, the variable definition is complete. If you have calculated a time range still there is no output yet. Instead, the time difference is calculated and stored in the system variable "SPAN". This system variable can be formatted and displayed. For this, append an underscore and a time unit to the keyword "SPAN". Following time units are available:

Keyword | Description
YEARS | Years
MONTH | Month
WEEKS | Weeks
DAYS | Days
HOURS | Hours
MINUTES | Minutes
SECONDS | Seconds

Tables 3.12.6: Units for time range formatting

After retrieving a time range by calling "SPAN", e.g. with "$SPAN_YEARS$", the system variable "SPAN" is automatically decreased by the amount of time already displayed. This way it is possible to display the remainder of the time difference, e.g. by calling "$SPAN_DAYS$".

3.12.2.2 Extended formatting of positive and negative time differences

Without special formatting, calculated time differences are displayed without sign, if they are positive (the second date lies behind the first date, e.g. $THIS_TO_NEXT$ or $THIS_START_TO_THIS_END$) and with a negative sign if they are negative (the second date lies before the first date, e.g. $THIS_TO_FIRST$ or $THIS_END_TO_THIS_START$). You can change this behaviour if you specify different prefixes. For this you need to put the prefix for a positive difference followed by an underscore and the negative prefix just after the "$SPAN_" part. You might also specify a postfix. Simply put the postfix for positive differences, an underscore and the postfix for negative differences right before the closing "$".

This allows displaying correct sentences. The term:
$NOW_TO_THIS$Submission deadline $SPAN_is in _was _DAYS_ days_ days ago$
generates the display "Submission deadline is in 3 days" if at the time of calling there are three days left to the beginning of the event. Five days after the start date of the event, the output will be "Submission deadline was 5 days ago".

3.12.2.3 Conditional spaces and line breaks

All event variables can be preceded or succeeded by a conditional space or line break.The condition for inserting a space or line break is, that the variable itself is not empty. This makes sense with variables like "$NOTES" as they are not always filled out. If this variable holds some text it is probably good to show it in a separate line. On the other hand, if it is empty there is no need for an additional empty line.

The syntax is easy: You can put a "R" for a line break and/or a "S" for a space just after the leading "$" and/or right before the traling "$". Like always, these symbols are separated from the keyword by underscores. The "$NOTES$" problem described above can be solved with the term "$R_NOTES$".

3.12.2.4 Temporarily switching the date format

All dates are using a standard format which can be defined under "Extras/Internal Formats..." from the menu (see chapter 3.13 for more information). If you want to use a different date format for a certain display, you can temporarily switch the date format by setting the following system variables:

Keyword | Description
DATEFORMAT | Date format, used by the "DATE" and "AUTO" variable, in case the event has no start time set.
TIMEFORMAT | Time format, used by the "TIME" and "AUTOTIME" variable.
DATETIMEFORMAT | Combined date and time format, used by the "DATETIME" and "AUTO" variable, in case the event has a start time set.

Table 3.12.7: System variables for the date and time format

You can set a new format by putting the new format right after the name of the system variable. This time no underscore is required. For e.g. setting the time format to 24-hour format for one single call, you can do this by calling: $TIMEFORMAT%H:%M$

The formatting is only valid for this one call or until the next formatting statement.

3.12.3 ToDo formats

Todos can be formatted similar as events, so only the differences should be described here.

Just like with events, simple variables are available for accessing basic todo information:

Variable | Description
GROUP | Todo group
DESCRIPTION | Todo description
NOTES | Notes for the todo
PRIORITY | Priority of the todo, a decimal number from 1 to 10
STATE | The current state of the todo: done, undone, due, overdue
DOCUMENT | Associated document for the todo

Table 3.12.8: Simple todo variables

As there are no repetetive todos the are only a few date specifier:

Keyword | Description
DEADLINE | The deadline of the selected todo entry
FOREWARN | The start of the forewarn time
NOW | The current date and time

Table 3.12.9: Keywords for the date specification of a todo entry

Todos don't have a duration, so the keywords "START", "END" and "STARTTOEND" do not exist.

All other mechanisms, including date range calculation, formatting positive or negative time differences, date and time formatting and conditional spaces and line breaks work just like with events.

3.12.4 Examples

Here you'll find some examples you can directly use in "UK's Kalender".

3.12.4.1 Age display for birthday reminders

Create a category with following settings:

  • Category: Birthday
  • Description: $FIRST_TO_THIS$$SPAN_YEARS$. Birthday
  • Forewarn: 3 days
  • Repetition: Yearly

To enter a new birthday, simply select the category "Birthday", enter the name of the person before the already existing description and select the actual date of birth (including the year!) as start date. "UK's Kalender" will show up the correct age of the person, e.g. "Peters 39. Birthday".

3.12.4.2 Showing the remaining time until the deadline of a todo

Enter the following term as the description of the todo:

$NOW_TO_DEADLINE$Deadline $SPAN_is in _was _DAYS_ days_ days ago$

Until the deadline the display will be "Deadline is in n days". After the deadline it will change to "Deadline was n days ago", "n" is the amount of days. Please note, that the display will not be updated while "UK's Kalender" is running. The display will only change after restarting the program or changing the state of the todo (done or undone).

3.12.4.3 Showing the remaining days until the next occurence of an event

This function is useful, if the distance between two occurences of a repetetive event varies, e.g. if you want to be reminded of every Friday the 13th.

Enter the following description for the event:

Next occurence is in $THIS_TO_NEXT$$SPAN_DAYS$ days

You can extend this term with the actual date of the next occurence:

The next occurence is on $NEXT_AUTO$, there are $THIS_TO_NEXT$$SPAN_DAYS$ days left

3.12.4.4 Showing the remaining days until the end of a multi day event

You can use this e.g. for showing the remaining holidays:

$THISSELECTED_TO_THIS_END$$SPAN_DAYS$ days left


Internal formats

3.13 Internal formats

From the menu you can choose "Extras / Internal Formats..." to access the dialog for configuring nearly all relevant settings for display, tooltip and clipboard formats. Normally you shouldn't need this dialog as all settings have decent defaults. But if you don't like some settings, here is the place to change them.

3.13.1 Tab "General"

Here you can set the defaults for date and time formatting. These defaults are used whenever a certain date or time is displayed. Under "Standard Formats" you can choose the formats for displaying dates and times in the calendar view. If you want e.g. only a two digit year display, simply replace the "%Y" with "%y" in the formatting for "Date" and "Date with Time".

The format "Date" is used whenever only the date of an event is displayed. This happens if the keyword "DATE" is interpreted or the keyword "AUTO" with events without start time. The format set under "Time" is chosen if only the time of an event is displayed. This happens while interpreting the keywords "TIME" and "AUTOTIME". "Date with Time" is used if both, date and time, of an event is shown, i.e. if the keyword "DATETIME" is evaluated or "AUTO" with events that have a start time set. For a more detailed description on the use of keywords, please refer to chapter 3.12.

Internal Formats - General

Figure 3.13.1: Tab "General"

The settings in section "List Format" determine the display of dates and times in the list views. These settings only affect the todo list and the event list ("Extras / Event List..."). You should use a short format here as there is only very limited space in the list views.

At the bottom of the dialog you can find a reference for the possible variables. By pressing the button "Default" you can always return to the original settings.

3.13.2 Tab "Headers"

The date formats shown in the headers of the four calendar views can be configured here. The headers are the colored fields above every days event list. You can separately configure the date display for each of the views "Week", "Fortnight", "Month" and "Year". For the month view additonally the first day of the month can be assigned a different format. For all views in common you can select the weeknumber display.

Internal Formats - Headers

Figure 3.13.2: Tab "Headers"

Again you can find a quick reference for the possible variables and the button for the default settings at the bottom of the dialog.

3.13.3 Tab "Clipboard", "Tooltips" and "Calendar"

These three dialogs are nearly identical, so they are discussed all together here. Here you can determine, how events should be placed on the clipboard, what to show in the tooltips of an event and what to display in the calendar views. The syntax for the formatting options is described in chapter 3.12.

The formats can be configured separately for the following cases:

  • Normal Events
    These are events with a start date and time and possibly an end date and time, while the end date must be the same as the start date.
  • Single Day Events
    These events do not have a start time, i.e. they are lasting the whole day. If they have an end date it must be the same as the start date.
  • Multiple Day Events (1st Day)
    This is the first day of a multi day event. Multi day events have an end date that is after the start date.
  • Multiple Day Events (2nd to last but one Day)
    These are the days of a multi day event that are between the start and end date.
  • Multiple Day Events (last Day)
    The end date of a multi day event.

Internal Formats - Calendar

Figure 3.13.3: Tab "Clipboard"

On the tab "Clipboard" you can define the format for copying events to the Windows clipboard, under "Tooltips" the format for tooltips on events and finally under "Calendar" the display format of the calendar views and the current time display.

The display format of the calendar views is limited to a single line per entry. This is due to the event display components which can not handle line breaks correctly, they are limited to one single line per event.

By pressing the button "Default" you can restore the default settings for all entries.

3.13.4 Tab "ToDo's"

Here you can define the clipboard and tooltip formats for todo entries. The display of the todo list can not be customized.

Internal Formats - ToDo's

Figure 3.13.4: Tab "ToDo's"

You can also set the values for the "STATE" variable here. This variable contains the current state of a todo entry. Following states are possible:

  • Done
    The todo entry is marked as done.
  • Undone
    The todo entry isn't done yet and the forewarn time is not reached.
  • Due
    The todo entry isn't done yet and the forewarn time is reached.
  • Overdue
    The todo entry isn't done yet and the deadline is exceeded.

With the button "Default" you can recall the original settings.


HTML export

3.14 HTML export

For exporting your events or todos to HTML format, choose "File / Export / HTML..." from the menu. The generated HTML document can be viewed and also printed out with a web browser (e.g. Internet Explorer, Netscape Navigator, Mozilla, Opera). As "UK's Kalender" does not have a printing option on it's own, this is also the only way to print out events and todos.

When exporting, all activated filter options will be applied. Only those events that appear on the calendar view will be exported. If you want to create a birthday calendar, simply activate the category filter for the category "Birthday" before exporting the document (if you have created such a category). The created HTML document will contain only birthdays, then.

Figure 3.14.1: HTML export

In section "Format" you can select which view you want to be exported. The default is always the current view, where the year view is replaced by a list view. If you choose one of the default views "Week", "Fortnight" or "Month", the amount of days is determined automatically and only a central date can be chosen. The corresponding view is generated around the chosen start date, the resulting date range is displayed under "Range".

If you choose one of the views "ToDo" or "List" instead, you can select the exact start date and the number of days.

Each view has an own template that can be changed under "Template". These templates can contain certain formatting information like background colors, images, info on the date range and so on. To customize the templates, some elementary HTML knowledge is required. The predefined templates are optimized for printing and normally don't need to be changed.

After configuring the HTML export you can select the "Preview" button to examine the generated HTML document. For the preview function to work, a recent web browser needs to be installed on your system. If the preview does not pop up, looks weird or is unreadable, it might be necessary to update your web browser. Sometimes it might be sufficient to change some output options available by pressing the "Options..." button, though.

Printing an event view can be done right from the preview, there is no need for explicitely exporting the document. If you want the HTML document for any other reason, you can save it to disk permanently by selecting the "Export" button. This will bring up the "Save as" dialog from which you can save the document.

To change certain aspects of the generated document you can choose the "Options..." button. These options are also available from the menu under "Extras / Export Settings / HTML...". The following chapter will explain the available formatting options.

3.14.1 HTML export settings - "Appearance"

This dialog determines the general appearance of the generated HTML document. As the HTML export is primarily intended for printing, it is a good idea to choose settings for optimal readabilty on the printing media. On the other hand it is also possible to choose settings that make the HTML document look nearly like the screen view.

Figure 3.14.2: Tab "Appearance"

Like in the options for the calendar views you can choose a color scheme for the table headers of the HTML output in section "Colors".

Under "Done events and todos" you can choose how to handle done events. The default screen option (grayed out and stroke through) is not available, as it is very hard to read if printed. For marking done events you can still choose stroke through. To display done events just like undone is also possible. If you want to exclude done events from export, you should activate the state filter and deactivate the state "Done" before exporting.

Color marked events (field color or text color) can be configured for HTML export in section "Color marked events". You can choose to use the same coloring scheme than in the calendar views (" Show color marked"), to remove all coloring ("Show normal") or to use bold letters instead of colors ("Show bold").

Finally, in section "Empty dates", you can tell "UK's Kalender" whether to show or to hide dates with no events in the HTML list view.

3.14.2 HTML export settings - "Templates"

For each HTML view there is a template in the "templates" directory of your program installation. These templates control some aspects of the HTML generation, like background color, headlines and so on. If you create your own templates, you can set the path to your templates in this dialog.

Figure 3.14.3: Tab "Templates"

By pressing one of the "..." buttons you'll get a "File Select" dialog for easily entering the corect path.

3.14.3 HTML export settings - "Calendar Formats"

Just like with the dialog for the internal formats (see chapter 3.13.4), you can specify how to display the events of the four calendar views for HTML export.

Tab Calendar Formats

Figure 3.14.4: Tab "Calendar Formats"

Distinct from the internal formats, time formatting is seperated from description formatting. The smaller fields on the left are for time formátting, the bigger fields on the right contain the description formatting.

The formatting options are exactly the same as for the normal calendar views, so please refer to chapter 3.12 for a closer description.

The button "Default" will restore all original settings.

3.14.4 HTML export settings - "Header Formats"

The headers of the event fields are also configurable. The available formats are listed at the bottom of the dialog. Returning to the default values can be done by pressing the "Default" button.

Tab Header Formats

Figure 3.14.5: Tab "Header Formats"

3.14.5 HTML export settings - "ToDo's"

Todos are always exported in list format. There are less posibilities for configuring the export.

Figure 3.14.6: Tab "ToDo's"

Under "Fields in HTML report" you can select which fields to export and also their order. To select a field for export, put a check mark before the corresponding entry by clicking the box preceeding the entry. You can change the field order by selecting an entry and moving it up or down with the arrows on the right.

You can also choose the field names of the entries. These names will appear as table header of the HTML document. Simply enter the preferred names in section "Field names in table header".


CSV export

3.15 CSV export

For exporting events and todos into CSV format, select "File / Export / CSV..." from the menu. The CSV format (Comma Separated Values) is a very simple database format, where the entries are seperated by a comma and stored as plain text. This format is understood by many database and spreadsheet programs, e.g. by Excel. With this format, you can prepare your events and todos for use with external applications.

The CSV export is derived from the calendar view and not the database view availabe from the menu under "Extras / Event List...". Therefore, the CSV export is primarily intended for creating calendar views with external programs.

Figure 3.15.1: CSV export

In section "Format" you can decide whether to export todos or events. The default depends on your currently selected view in the program.

Under "Daterange" you can select the start date and the number of days to export. The corresponding date range is shown directly below.

You can now generate the CSV file by pressing the "Export" button. You can also choose to first take a look at the available options for customizing the CSV export by pressing the button "Options...". This dialog is also available from the menu under "Extras / Export Settings / CSV...".

The options for todos and events are identical, so only the options for exporting events will be discussed here.

3.15.1 CSV export settings - "Calendar Fields"

Here you can select the fields for CSV export and also their order. You can also choose a different separator for the data entries.

Tab Calendar Fields

Figure 3.15.2: Tab "Calendar Fields"

In the window of section "Fields in CSV report" you can select which event information should appear in the CSV report. Click the box preceeding the desired entry to include it in the output. You can also change the order of the entries. For this, select an entry and move it up or down with the arrows on the right.

Under "Options" you can choose a different separator for the data fields. You can choose between commas, semicola and tabs. Sometimes it makes sense to use a different separator, especially if you use commas in your event descriptions or notes and if the application you want to export to can interpret different separators. If you still encounter problems while importing the CSV file, you can tell "UK's Kalender" to replace all characters from your descriptions and notes that will collide with the chosen separator. Be aware that this might have unwanted side effects, especially if the comma is used as decimal separator in your country.

As further option, you can choose to put the field names into the first row of the CSV file, just like a headline for the corresponding column.

3.15.2 CSV export settings - "Calendar Field Names"

If you want to change the default names for the fields, you can do this here. The display on tab "Calendar Fields" is not affected by your settings, though.

Tab Calendar Field Names

Figure 3.15.3: Tab "Calendar Field Names"

3.15.3 CSV export settings - "Calendar Formats"

You can largely determine what to put into the data fields. All formatting options described in chapter 3.12 are available. Only the date and the weeknumber display have just the limited formatting options described in chapter 3.12.1.

Tab Calendar Formats

Figure 3.15.4: Tab "Calendar Formats"

All other fields may be configured the way you want. Sometimes it might be useful to remove the quotation marks around the field "Category", "Description" and "Notes", e.g. in case your spreadsheet application doesn't require them to automatically detect text fields.

3.15.4 CSV export settings for todos

The dialogs here are functionally identical to the ones for the calendar export. So please refer to the descriptions above (chapter 3.15.1).


Creating backups of the event file

3.16 Creating backups of the event file

3.16.1 Automatically generated backup copies

The calendar automacially generates backup copies of the current event file. These backup copies are located in the same directory as the event file and have the same name but with extensions like "b00", "b01" etc. By default seven backup copies will be kept, but this value can be changed (see chapter 3.2.10). Each time the program is launched, a backup copy is generated if the last backup is at least 20 hours old.
If for some reason it is necessary to restore an event file, close the calendar and remove the corrupted event file (by default: "Dates.dat"). Then look for the latest backup copy that seems to be intact (hint: the file size might be an indicator). Make a copy of this backup file and rename this copy to the file you deleted previously. When you restart the calendar, your events will be restored.

Please note, that by default a new installation of "UK's Kalender" will save the event database in the directory "Application Data\UK's Kalender" of the currently logged on user. This directory is located under "C:\Documents and Settings" on systems running Windows 2000 / XP and under "C:\Windows" on systems with Windows 98. You might not see this directory on your system. If this is the case, you'll need to tell Windows-Explorer to show all files. Open the Windows Explorer and select "Extras / Folder Options" from the menu. Click on "View" and activate "Display all Files and Folders".

In case you installed the new version of "UK's Kalender" over an old version, your event file will probably be located in the program folder of the calendar (usually "C:\Program Files\Kalender"). So please take a look at this directory also.

3.16.2 Manually creating backup copies

From time to time it's a good idea to make a special backup copy of your event file. This special backup copy can be read by any version of "UK's Kalender", from higher to lower versions and vice versa. For creating this special file, choose "File / Event File / Backup..." from the menu. A "Save as" dialog appears, where you can choose a name and a directory for saving the backup file. If for any reason, e.g. an update to a new version of the program, your event file cannot be loaded, you can always restore your data by selecting "File / Event File / Restore..." from the menu.


Merging event files

3.17 Merging event files

Sometimes it is useful to put different event files together, e.g. if you added events to your calendar at work and also want them to show up on your calendar at home. To make this task a little easier, "UK's Kalender" offers the possibility to merge a second event file to the already loaded. Select "File / Event File / Merge..." from the menu and select the event file to be added to the already loaded one. Duplicate entries will be sorted out by "UK's Kalender". The new event file will be saved automatically. Be aware, that the resulting changes cannot be undone!